﻿@model IEnumerable<eCommerce.Services.Model.Newsletter>

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th>Campaña</th>
            <th>Titulo</th>
            <th>Creado</th>
            <th class="text-center">Fecha de envío</th>
            <th class="text-center">Activo</th>
            <th class="text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td>@Html.DisplayFor(modelItem => item.Campaign)</td>
            <td>@Html.DisplayFor(modelItem => item.Title)</td>
            <td>@Html.DisplayFor(modelItem => item.Created)</td>
            <td class="text-center">
                @if (item.Sent)
                {
                    <span>@item.SentDate</span>
                }
                else
                {
                    <span></span>
                }
            </td>
            <td class="text-center">
                @if (item.Active)
                {
                    <span class="label label-outline label-success">Si</span>
                }
                else
                {
                    <span class="label label-outline label-danger">No</span>
                }
            </td>
            <td class="actions text-center">
                <a href="@TempData["ServerRoot"]/Newsletter/@item.Campaign" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Previsualizar" target="_blank"><i class="icon fa fa-eye" aria-hidden="true" target="_blank"></i></a>
                <a href="@TempData["ServerRoot"]/Newsletter/GetOneColomnTemplateAsFile/@item.NewsletterId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Descargar" target="_blank"><i class="icon fa fa-download" aria-hidden="true" target="_blank"></i></a>
                @*<a href="javascript:void(0);" onclick="fSendDialog(@item.NewsletterId)" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Enviado" target="_blank"><i class="icon fa fa-share" aria-hidden="true" target="_blank"></i></a>*@
                <a href="/Newsletter/NewsletterUpdate/@item.NewsletterId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>
                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                   data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.NewsletterId" onclick="fDeleteDialog(@item.NewsletterId)"><i class="icon wb-trash" aria-hidden="true"></i></a>
            </td>
        </tr>
    }
    </tbody>
</table>
